%global momorel 3

Summary: D-BUS message bus glib
Name: dbus-glib
Version: 0.74
Release: %{momorel}m%{?dist}
URL: http://www.freedesktop.org/Software/dbus
Source0: http://dbus.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
Source1: dbus-bus-introspect.xml
Patch0: broken-xml.patch
Patch1: dbus-glib-proxy-signals-once.patch
# https://bugs.freedesktop.org/show_bug.cgi?id=14429
Patch2: dbus-glib-0.73-ignore-namespaces-and-children.patch
Patch3: dbus-glib-0.74-set-default-timeout-for-proxy.patch
Patch4: dbus-glib-0.74-export-getall.patch
Patch10: http://ftp.gnome.org/pub/GNOME/teams/releng/2.16.2/dbus-glib-build.patch

License: "AFL/GPL"
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: libxml2-devel >= 2.6.30
BuildPrereq: dbus-devel >= 1.0.2
BuildPrereq: xmlto
BuildPrereq: doxygen

%description
A core concept of the D-BUS implementation is that "libdbus" is
intended to be a low-level API, similar to Xlib. Most programmers are
intended to use the bindings to GLib, Qt, Python, Mono, Java, or
whatever. These bindings have varying levels of completeness.

%package devel
Summary: D-BUS message bus glib devel
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
dbus-glib devel

%prep
%setup -q
%patch0 -p1 -b .broken-xml
%patch1 -p1 -b .proxy-signals-once
%patch2 -p1 -b .ignore-namespaces
%patch3 -p1 -b .set-default-timeout
%patch4 -p1 -b .export-getall

%patch10 -p1 -b .gnome-2.16.2

%build

%configure --enable-xml-docs --enable-doxygen-docs --program-prefix="" --enable-gtk-doc --with-introspect-xml=%{SOURCE1}
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README
%{_bindir}/dbus-binding-tool
%{_libdir}/libdbus-glib-1.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/dbus-1.0/dbus/dbus-glib-bindings.h
%{_includedir}/dbus-1.0/dbus/dbus-glib-error-enum.h
%{_includedir}/dbus-1.0/dbus/dbus-glib-lowlevel.h
%{_includedir}/dbus-1.0/dbus/dbus-glib.h
%{_includedir}/dbus-1.0/dbus/dbus-gtype-specialized.h
%{_libdir}/libdbus-glib-1.a
%{_libdir}/libdbus-glib-1.so
%{_libdir}/pkgconfig/dbus-glib-1.pc
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Sat May 10 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.74-4m)
- import Fedora Patches. need NetworkManager...

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.74-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.74-2m)
- %%NoSource -> NoSource

* Tue Oct 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.74-1m)
- update to 0.74

* Fri Mar  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.73-1m)
- update to 0.73

* Tue Feb 20 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.72-2m)
- add BuildPrereq: doxygen

* Tue Feb  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.72-1m)
- update to 0.72

* Wed Jan 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.71-3m)
- add patch for gnome-2.16.2

* Thu Jan  4 2007 zunda <zunda at fresehll.org>
- (kossori)
- added BuildPrereq: xmlto which is checked by the configure script

* Sat Sep  2 2006  Nishio Futoshi <futoshi@momonga-linux.org>
- (0.71-2m)
- add %%post %%postun script

* Thu Aug 31 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.71-1m)
- initial build
